Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi, Is There A Way To Force The Requirements.Txt? I Have A Package I Installed Directly From Github But The Version Is Always Wrong. Any Other Way To Do This?

Hi, is there a way to force the requirements.txt? I have a package I installed directly from github but the version is always wrong. Any other way to do this?

  
  
Posted 2 years ago
Votes Newest

Answers 4


Hi, is there a way to force the requirements.txt?

You mean to ignore the "Installed Packages" ?

  
  
Posted 2 years ago

Funny this was mentioned just today 🙂
https://clearml.slack.com/archives/CTK20V944/p1620664770492400

Basically if you want to always ignore the "installed packages" in your clearml.conf, put:
agent.package_manager.force_repo_requirements_txt = true

  
  
Posted 2 years ago

Thanks AgitatedDove14 !

  
  
Posted 2 years ago

Yes Martin! I have a package installed from github but its using the pypi version

  
  
Posted 2 years ago
563 Views
4 Answers
2 years ago
one year ago
Tags